Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83760 - kswapd consumes cpu/memory/swap during gcc/g++ compile
Summary: kswapd consumes cpu/memory/swap during gcc/g++ compile
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 23:13 UTC by Scott Wells
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:30 UTC


Attachments (Terms of Use)

Description Scott Wells 2003-02-07 23:13:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I am running Red Hat linux v8.0, kernel 18-24, running on a P4 with 750+mb of
ram and 1.5gb of swap. Sometimes when I 'make' a large package (such as alsa9),
my computer freezes and my hard drive starts spinning. I cannot move the mouse,
keyboard strokes don't work, and I can't even log on from another terminal. This
problem has occurred only while I was doing a 'make (gcc/g++) on programs. It
didn't seem to matter WHICH programs I was compiling.

After running 'top' to spy on processes, I found that, during a make,
the kernel daemon,'kswapd', was taking over 85% of the CPU time and 100% of
memory and swap space. 

Here's the output of top:
---
3:59pm up 1 day, 2:01, 2 users, load average: 22.91, 14.28, 6.48
140 processes: 129 sleeping, 9 running, 2 zombie, 0 stopped
CPU states: 2.9% user, 81.7% system, 0.0% nice, 15.2% idle
Mem: 764400K av, 757412K used, 6988K free, 0K shrd, 848K buff
Swap: 1566328K av, 1566328K used, 0K free 10620K cached

5 root 25 0 0 0 0 RW 78.7 0.0 10:38 kswapd
10560 swells 15 0 4036 3056 844 R 1.1 0.3 1:13 xmms
10568 swells 15 0 256 140 88 S 0.6 0.0 0:12 esd
1002 root 5 -10 151M 4492 780 S < 0.3 0.5 326:28 X
15702 swells 15 0 548 512 264 R 0.3 0.0 0:24 top
6289 swells 15 0 17592 8784 1420 S 0.2 1.1 3:41 galeon-bin
25907 mailman 15 0 1856 1840 576 R 0.2 0.2 0:00 python
25912 mailman 15 0 1620 1620 532 R 0.2 0.2 0:00 python
1898 swells 15 0 38372 3840 392 D 0.1 0.5 0:23 gnome-panel
1906 swells 15 0 10140 2868 584 D 0.1 0.3 2:01 rhn-applet-gui
10647 swells 15 0 3864 1492 648 D 0.1 0.1 0:12 evolution-mail
25908 mailman 15 0 1616 1616 532 D 0.1 0.2 0:00 python
25910 mailman 15 0 1620 1596 532 R 0.1 0.2 0:00 python
25916 mailman 15 0 1376 1372 520 R 0.1 0.1 0:00 python
25922 lp 15 0 472 360 276 D 0.1 0.0 0:00 lpd
1 root 15 0 88 44 28 S 0.0 0.0 0:05 init
2 root 15 0 0 0 0 SW 0.0 0.0 0:00 keventd

There are a few more processes, but they seem to be irrelevent

When the process finishes, I get:
4:08pm up 1 day, 2:09, 2 users, load average: 7.45, 21.66, 14.78
119 processes: 114 sleeping, 3 running, 2 zombie, 0 stopped
CPU states: 0.7% user, 0.5% system, 0.0% nice, 98.6% idle
Mem: 764400K av, 102644K used, 661756K free, 0K shrd, 2368K buff
Swap: 1566328K av, 146008K used, 1420320K free 30452K cached

I am using gcc/g++ version 3.2.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.d/l alsa9
2.Run ./configure, then make
3.It might take a few 'makes' before it happens. If so, do a 'make clean'
between each make
    

Actual Results:  The computer freezes...kswapd eats all my resources.

Expected Results:  I have plenty of memory and 1.5gb of swap. so this should not
have happened.

Additional info:

Comment 1 Gunther Schadow 2003-10-23 02:25:50 UTC
You could be another victim of bug 100680.

Comment 2 Bugzilla owner 2004-09-30 15:40:30 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.